Python plugins fail

Bug #1233215 reported by Jonathan Riddell on 2013-09-30
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
kate (Ubuntu)
Undecided
Unassigned

Bug Description

Settings -> Configure Kate -> Plugins -> Python Plugins

doesn't work unless libpython2.7-dev is installed

command line says...

kate(4333)/Kate (Plugins): Could not load /usr/lib/x86_64-linux-gnu/libpython2.7.so
Traceback (most recent call last):
  File "<string>", line 1, in <module>
ImportError: /usr/lib/python2.7/dist-packages/sip.so: undefined symbol: PyExc_SystemError

I've no idea why it is using the dev link libpython2.7.so and not libpython2.7.so.1

Jonathan Riddell (jr) on 2013-09-30
Changed in kate (Ubuntu):
milestone: none → ubuntu-13.10
tags: added: kubuntu
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package kate - 4:4.11.2a-0ubuntu1

---------------
kate (4:4.11.2a-0ubuntu1) saucy; urgency=low

  [ Jonathan Riddell ]
  * New upstream bugfix release
  * Set PYTHON_LIBRARY manually, fixes LP: #1233215 Python plugins fail
    to load
 -- Rohan Garg <email address hidden> Mon, 30 Sep 2013 13:59:34 +0100

Changed in kate (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers